Debian Bug report logs - #370393
Use etc/amanda/Debian-Edu instead of etc/amanda/DailySet1

version graph

Package: debian-edu-config; Maintainer for debian-edu-config is Debian Edu Developers <debian-edu@lists.debian.org>; Source for debian-edu-config is src:debian-edu-config.

Reported by: Luk Claes <luk@debian.org>

Date: Sun, 4 Jun 2006 16:34:58 UTC

Severity: wishlist

Fixed in version debian-edu-config/0.403

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#370319; Package amanda. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: Make some conffiles automatically configurable
Date: Sun, 04 Jun 2006 18:30:23 +0200
[Message part 1 (text/plain, inline)]
Package: amanda
Severity: wishlist

Hi Bdale

Automatically configuring amanda is not policy compliant for the moment
as one needs to edit conffiles in the process. Debian-Edu for instance
wants to touch etc/amanda/DailySet1/amanda.conf,
etc/amanda/DailySet1/disklist and etc/amandahosts.

A solution might be to include some file if it exists in the
configuration...

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#370319; Package amanda. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 370319@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Luk Claes <luk@debian.org>, 370319@bugs.debian.org
Subject: Re: Bug#370319: Make some conffiles automatically configurable
Date: Sun, 04 Jun 2006 11:58:12 -0600
On Sun, 2006-06-04 at 18:30 +0200, Luk Claes wrote:

> Automatically configuring amanda is not policy compliant for the moment
> as one needs to edit conffiles in the process. Debian-Edu for instance
> wants to touch etc/amanda/DailySet1/amanda.conf,
> etc/amanda/DailySet1/disklist and etc/amandahosts.
> 
> A solution might be to include some file if it exists in the
> configuration...

There is nothing magic about the delivered sample configuration files. 

The easiest solution for you would be to just ignore the DailySet1 stuff
that is delivered, and create your own configuration from scratch in
the /etc/amanda directory, for example:

	/etc/amanda/Debian-EDU/amanda.conf
	/etc/amanda/Debian-EDU/disklist

Then you can craft whatever cron entries you want, specifying Debian-EDU
instead of DailySet1 as the configuration to use.

You still have to touch /etc/amandahosts on each client system, of
course, but I'm not sure what we could do to make that any easier?

Bdale




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#370319; Package amanda. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #15 received at 370319@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 370319@bugs.debian.org
Subject: Re: Bug#370319: Make some conffiles automatically configurable
Date: Sun, 04 Jun 2006 20:29:29 +0200
[Message part 1 (text/plain, inline)]
Bdale Garbee wrote:
> On Sun, 2006-06-04 at 18:30 +0200, Luk Claes wrote:
> 
>> Automatically configuring amanda is not policy compliant for the moment
>> as one needs to edit conffiles in the process. Debian-Edu for instance
>> wants to touch etc/amanda/DailySet1/amanda.conf,
>> etc/amanda/DailySet1/disklist and etc/amandahosts.
>>
>> A solution might be to include some file if it exists in the
>> configuration...
> 
> There is nothing magic about the delivered sample configuration files. 
> 
> The easiest solution for you would be to just ignore the DailySet1 stuff
> that is delivered, and create your own configuration from scratch in
> the /etc/amanda directory, for example:
> 
> 	/etc/amanda/Debian-EDU/amanda.conf
> 	/etc/amanda/Debian-EDU/disklist
> 
> Then you can craft whatever cron entries you want, specifying Debian-EDU
> instead of DailySet1 as the configuration to use.

Thanks for the information.

> You still have to touch /etc/amandahosts on each client system, of
> course, but I'm not sure what we could do to make that any easier?

A solution would be to create that file in the maintainerscripts so it's
not a conffile... or to ask a debconf question...

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#370319; Package amanda. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 370319@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Luk Claes <luk@debian.org>, 370319@bugs.debian.org
Subject: Re: Bug#370319: Make some conffiles automatically configurable
Date: Sun, 04 Jun 2006 14:10:56 -0600
On Sun, 2006-06-04 at 20:29 +0200, Luk Claes wrote:

> > You still have to touch /etc/amandahosts on each client system, of
> > course, but I'm not sure what we could do to make that any easier?
> 
> A solution would be to create that file in the maintainerscripts so it's
> not a conffile... or to ask a debconf question...

[deep sigh]

I continue to feel that building all this complexity for a single-line
text config file is really annoying... 

But, since I'm already using debconf to notify the user in one special
case in the amanda-common package, I don't suppose it would kill me to
make this a debconf question.  I'll see what I can do.

Bdale




Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, and 370351 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 370319 cloned as bug 370393. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `amanda' to `debian-edu-config'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#370393; Package debian-edu-config. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <debian@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 370393@bugs.debian.org (full text, mbox):

From: Holger Levsen <debian@layer-acht.org>
To: 370393@bugs.debian.org
Cc: 370393-done@bugs.debian.org
Subject: debian-edu doesnt use amanda anymore
Date: Tue, 27 Jun 2006 12:10:08 +0200
[Message part 1 (text/plain, inline)]
Hi,

closing this bug as debian-edu-config doesnt use amanda anymore. Sorry for the 
noise :-)

(since debian-edu-config 0.402+svn6656)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Holger Levsen <debian@layer-acht.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 370393-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 370393-close@bugs.debian.org
Subject: Bug#370393: fixed in debian-edu-config 0.403
Date: Fri, 04 Aug 2006 10:47:11 -0700
Source: debian-edu-config
Source-Version: 0.403

We believe that the bug you reported is fixed in the latest version of
debian-edu-config, which is due to be installed in the Debian FTP archive:

debian-edu-config_0.403.dsc
  to pool/main/d/debian-edu-config/debian-edu-config_0.403.dsc
debian-edu-config_0.403.tar.gz
  to pool/main/d/debian-edu-config/debian-edu-config_0.403.tar.gz
debian-edu-config_0.403_all.deb
  to pool/main/d/debian-edu-config/debian-edu-config_0.403_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 370393@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  4 Aug 2006 19:36:49 +0200
Source: debian-edu-config
Binary: debian-edu-config
Architecture: source all
Version: 0.403
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-config - Configuration files for Skolelinux systems
Closes: 370350 370393
Changes: 
 debian-edu-config (0.403) unstable; urgency=low
 .
   [ Steffen Joeris ]
   * Update sources.list and adjust it for etch as non-US is gone
   * Remove cf.webmin as webmin is gone
   * Remove obsolete cf.shorewall
   * Remove obsolete cf.kdm_hdwarn as kde is doing this check now
   * Remove obsolete cf.udev as we are configuring the rights
     for the sound device via pam (Closes: #370350)
   * Remove obsolete cf.amanda as we are using other backup methods (Closes:
     #370393)
   * Fix configuration of squid.conf in cf.squid
   * Adjust path for dhcpd.conf in cfrunhosts.pl
   * Adjust Makefile because of removed files
   * Fix configuration for authldaprc in cf.imap
 .
   [ Frode Jemtland ]
   * Translated norwegian comment in cfengine.conf to english. Fixed
     skolelinux bug #1088
 .
   [ Ronny Aasen ]
   * Removed webmin from ltspserver profile cfengine run.
 .
   [ Bart Cornelis (cobaco) ]
   * Use desktop-profiles instead of debian-edu specific script to set up the
     kde-profiles (Fixes skolelinux bug #1005).
 .
   [ Petter Reinholdtsen ]
   * Correct LSB dependency info in resize_lvm init.d script.
Files: 
 edade10d799d085e77d511cbc82d7b03 696 misc optional debian-edu-config_0.403.dsc
 b287269bbbdcb76ce75537ba8323bf79 201228 misc optional debian-edu-config_0.403.tar.gz
 850d8c7b28f9efb36f508c1be68085f2 184974 misc optional debian-edu-config_0.403_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE04cH20zMSyow1ykRAqGDAJ94HEU+jPCcP8K3fC/UAWOFYMwokwCgvo0c
sHnGdxvXhr7BMAaeHNA+Zys=
=a1mM
-----END PGP SIGNATURE-----




Blocking bugs of 311188 removed: 370393 Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 04:43:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:52:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.